#!/bin/env bash

##### Amount of nodes requested by job
#SBATCH --nodes=1
##### Amount of tasks per node
#SBATCH --ntasks-per-node=6
##### Wall time requested by job
#SBATCH --time=5
##### User mail for notification
##SBATCH --mail-type=END,FAIL,TIME_LIMIT_80
##SBATCH --mail-user=<user's mail>
##### Max amount of RAM requested by job per node
#SBATCH --mem=120gb
##### Partition name
#SBATCH -p plgrid-tutorial
##### Name of job in queuing system
#SBATCH -J molpro.h2o.dft.ccsdt-f12
##### Name of computational grant used
##SBATCH -A <nazwa_grantu>

# Set environment for default Molpro version
module add plgrid/apps/molpro/2015.1.4

mkdir -p $SLURM_SUBMIT_DIR/wfu
  
# Commands to start computations
molpro -n $SLURM_NTASKS -d $SCRATCHDIR -W $SLURM_SUBMIT_DIR/wfu --single-helper-server h2o.dft.ccsdt-f12.inp

# Remove the scratch dir
rm -rf $SCRATCHDIR
